@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');

:root{  
    --light-background: #F3F5FC; 
    --accent-text-color: #0A3871;
}

*{
    margin: 0px;
    padding: 0px;
    font-family: 'Inter', sans-serif;
}

.header{
    height: 96px;
}

.container{    
    background-color: var(--light-background);
    display: flex;
    flex-direction: column;
    gap: 50px;
    height: fit-content;
    padding: 20px;
}

.main{
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.container-content {
    display: flex;
    flex-direction: column;
    height: 100%;
    gap: 50px;
}

.container-form{
    flex-basis: 100%;
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.container-buttons {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.info {
    align-items: center;
    display: flex;
    font-size: 12px;
    flex-direction: row;
    gap: 8px;
}

.buttons {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 24px;
}

.button{
    border: none;
    border-radius: 24px;
    font-size: 16px;
    cursor: pointer;
    min-height: 67px;
}

.button-encrypt{
    background-color: var(--accent-text-color);
    color: white;
}

.button-decrypt {
    background-color: transparent;
    border: var(--accent-text-color) 1px solid;
    color: var(--accent-text-color);
    cursor: pointer;
}

.textarea-form{
    background-color: transparent;
    border: none;
    color: var(--accent-text-color);
    font-size: 26px;
    height: 100%;
    line-height: 150%;
    outline: none;
    width: 100%;
}

.container-encrypted{
    background-color: white;
    border-radius: 32px;
    padding: 20px;
    display: flex;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    padding: 32px;
    overflow: hidden;
}

.container-message{
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 20px;
    place-self: center;
    width: 100%;
}

.img-doll{
    display: none;
    width: inherit;
}

.title-message {
    font-weight: bold;
    font-size: 24px;
    color: #343A40;
}

.text-message {
    font-size: 16px;
    color: #495057;
}

.container-text{
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 100%;
}

.text-encrypted{
    font-size: 24px;
    line-height: 150%;
    color: #495057;
    height: 100%;    
}

.button-copy{
    background-color: transparent;
    border: var(--accent-text-color) 1px solid;
    color: var(--accent-text-color);
    cursor: pointer;
}

.footer {
    display: flex;
    justify-content: center;
    margin-top: auto;
}

.footer a {
    color: #0A3871;
    text-decoration: none;
}

.hidde {
    display: none !important;
}

.show {
    display: block;
}

/* MOBILE */
@media only screen and (min-width: 768px) {
    .buttons {
        flex-direction: row;
    }
    
    .button {
        width: 100%;
    }
}

/* PC */
@media only screen and (min-width: 1024px) {
    .container {
        height: 100vh;
    }
    
    .main{
        flex-direction: row;
        flex-basis: 100%;
    }
    
    .textarea-form {
        font-size: 32px;
    }
    
    .img-doll{
        display: block;    
    }
    
    .container-encrypted {
        flex-basis: 400px;
        height: calc(100% - 40px);
        margin-top: 10px;
        max-width: 295px;
    }
    
    .footer {
        padding: 20px;
        margin: 0px;
    }
}

@media only screen and (min-width: 1200px) {
    .header{
        padding-top: 40px;
        padding-left: 48px;
    }
    
    .container-content {
        margin-left: 250px;
    }
    
    .container-encrypted {
        margin: 40px 40px 0px 40px;
        height: calc(100% - 75px);
    }
}